// Autogenerated, do not edit

#include <fonts/GeneratedFont.hpp>

FONT_TABLE_LOCATION_FLASH_PRAGMA
KEEP extern const touchgfx::GlyphNode glyphs_verdana_20_4bpp[] FONT_TABLE_LOCATION_FLASH_ATTRIBUTE = {
    {     0, 0x0020,   0,   0,   0,   0,   7,   0,   0, 0x00 },
    {     0, 0x0021,   3,  14,  14,   2,   8,   0,   0, 0x00 },
    {    28, 0x0022,   7,   6,  15,   1,   9,   0,   0, 0x00 },
    {    52, 0x0023,  14,  14,  14,   1,  16,   0,   0, 0x00 },
    {   150, 0x0024,  11,  19,  15,   1,  13,   0,   0, 0x00 },
    {   264, 0x0025,  19,  14,  14,   1,  22,   0,   0, 0x00 },
    {   404, 0x0026,  14,  14,  14,   1,  15,   0,   0, 0x00 },
    {   502, 0x0027,   3,   6,  15,   1,   5,   0,   1, 0x00 },
    {   514, 0x0028,   7,  19,  15,   1,   9,   0,   0, 0x00 },
    {   590, 0x0029,   7,  19,  15,   1,   9,   1,   1, 0x00 },
    {   666, 0x002A,  10,   9,  15,   1,  13,   0,   0, 0x00 },
    {   711, 0x002B,  13,  12,  12,   2,  16,   0,   0, 0x00 },
    {   795, 0x002C,   5,   7,   3,   1,   7,   2,  12, 0x00 },
    {   816, 0x002D,   7,   2,   7,   1,   9,  14,   8, 0x00 },
    {   824, 0x002E,   3,   3,   3,   2,   7,  22,  11, 0x00 },
    {   830, 0x002F,  10,  18,  15,  -1,   9,   0,   0, 0x00 },
    {   920, 0x0030,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1004, 0x0031,   9,  14,  14,   2,  13,   0,   0, 0x00 },
    {  1074, 0x0032,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1158, 0x0033,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1242, 0x0034,  12,  14,  14,   0,  13,   0,   0, 0x00 },
    {  1326, 0x0035,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1410, 0x0036,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1494, 0x0037,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1578, 0x0038,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1662, 0x0039,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  1746, 0x003A,   3,  11,  11,   3,   9,  33,   4, 0x00 },
    {  1768, 0x003B,   5,  15,  11,   2,   9,  37,   4, 0x00 },
    {  1813, 0x003C,  12,  12,  12,   2,  16,   0,   0, 0x00 },
    {  1885, 0x003D,  12,   6,   9,   2,  16,   0,   0, 0x00 },
    {  1921, 0x003E,  12,  12,  12,   2,  16,   0,   0, 0x00 },
    {  1993, 0x003F,   9,  14,  14,   1,  11,  41,   1, 0x00 },
    {  2063, 0x0040,  18,  17,  14,   1,  20,   0,   0, 0x00 },
    {  2216, 0x0041,  14,  14,  14,   0,  14,  42,   4, 0x00 },
    {  2314, 0x0042,  12,  14,  14,   1,  14,   0,   0, 0x00 },
    {  2398, 0x0043,  13,  14,  14,   1,  14,   0,   0, 0x00 },
    {  2496, 0x0044,  14,  14,  14,   1,  15,   0,   0, 0x00 },
    {  2594, 0x0045,  11,  14,  14,   1,  13,   0,   0, 0x00 },
    {  2678, 0x0046,  11,  14,  14,   1,  12,   0,   0, 0x00 },
    {  2762, 0x0047,  14,  14,  14,   1,  16,   0,   0, 0x00 },
    {  2860, 0x0048,  13,  14,  14,   1,  15,   0,   0, 0x00 },
    {  2958, 0x0049,   7,  14,  14,   1,   8,   0,   0, 0x00 },
    {  3014, 0x004A,   8,  14,  14,   0,   9,  46,   2, 0x00 },
    {  3070, 0x004B,  12,  14,  14,   2,  14,   0,   0, 0x00 },
    {  3154, 0x004C,  11,  14,  14,   1,  11,   0,   0, 0x00 },
    {  3238, 0x004D,  14,  14,  14,   1,  17,   0,   0, 0x00 },
    {  3336, 0x004E,  13,  14,  14,   1,  15,   0,   0, 0x00 },
    {  3434, 0x004F,  14,  14,  14,   1,  16,   0,   0, 0x00 },
    {  3532, 0x0050,  11,  14,  14,   1,  12,   0,   0, 0x00 },
    {  3616, 0x0051,  14,  18,  14,   1,  16,   0,   0, 0x00 },
    {  3742, 0x0052,  13,  14,  14,   1,  14,   0,   0, 0x00 },
    {  3840, 0x0053,  12,  14,  14,   1,  14,   0,   0, 0x00 },
    {  3924, 0x0054,  13,  14,  14,   0,  12,  48,   5, 0x00 },
    {  4022, 0x0055,  12,  14,  14,   1,  15,   0,   0, 0x00 },
    {  4106, 0x0056,  14,  14,  14,   0,  14,  53,   1, 0x00 },
    {  4204, 0x0057,  18,  14,  14,   1,  20,  54,   1, 0x00 },
    {  4330, 0x0058,  13,  14,  14,   0,  14,  55,   1, 0x00 },
    {  4428, 0x0059,  13,  14,  14,   0,  12,  56,   3, 0x00 },
    {  4526, 0x005A,  12,  14,  14,   1,  14,   0,   0, 0x00 },
    {  4610, 0x005B,   6,  19,  15,   2,   9,   0,   0, 0x00 },
    {  4667, 0x005C,  10,  18,  15,   0,   9,  59,   1, 0x00 },
    {  4757, 0x005D,   6,  19,  15,   1,   9,  60,   1, 0x00 },
    {  4814, 0x005E,  13,   8,  15,   2,  16,   0,   0, 0x00 },
    {  4870, 0x005F,  14,   2, 254,  -1,  13,   0,   0, 0x60 },
    {  4884, 0x0060,   5,   4,  16,   3,  13,   0,   0, 0x00 },
    {  4896, 0x0061,  10,  11,  11,   1,  12,  61,   5, 0x00 },
    {  4951, 0x0062,  11,  15,  15,   1,  12,   0,   0, 0x00 },
    {  5041, 0x0063,   9,  11,  11,   1,  10,  66,   1, 0x00 },
    {  5096, 0x0064,  10,  15,  15,   1,  12,  67,   1, 0x00 },
    {  5171, 0x0065,  10,  11,  11,   1,  12,  68,   5, 0x00 },
    {  5226, 0x0066,   8,  15,  15,   0,   7,   0,   0, 0x00 },
    {  5286, 0x0067,  10,  15,  11,   1,  12,  73,   2, 0x00 },
    {  5361, 0x0068,  10,  15,  15,   1,  13,   0,   0, 0x00 },
    {  5436, 0x0069,   3,  14,  14,   1,   5,   0,   0, 0x00 },
    {  5464, 0x006A,   7,  18,  14,  -1,   7,   0,   0, 0x00 },
    {  5536, 0x006B,  11,  15,  15,   1,  12,   0,   0, 0x00 },
    {  5626, 0x006C,   3,  15,  15,   1,   5,   0,   0, 0x00 },
    {  5656, 0x006D,  17,  11,  11,   1,  19,  75,   1, 0x00 },
    {  5755, 0x006E,  10,  11,  11,   1,  13,  76,   1, 0x00 },
    {  5810, 0x006F,  11,  11,  11,   1,  12,  77,   5, 0x00 },
    {  5876, 0x0070,  11,  15,  11,   1,  12,  82,   1, 0x00 },
    {  5966, 0x0071,  10,  15,  11,   1,  12,  83,   1, 0x00 },
    {  6041, 0x0072,   8,  11,  11,   1,   9,  84,   2, 0x00 },
    {  6085, 0x0073,   9,  11,  11,   1,  10,  86,   2, 0x00 },
    {  6140, 0x0074,   8,  14,  14,   0,   8,   0,   0, 0x00 },
    {  6196, 0x0075,  10,  11,  11,   1,  13,  88,   2, 0x00 },
    {  6251, 0x0076,  12,  11,  11,   0,  12,  90,   4, 0x00 },
    {  6317, 0x0077,  16,  11,  11,   0,  16,  94,   2, 0x00 },
    {  6405, 0x0078,  12,  11,  11,   0,  12,   0,   0, 0x00 },
    {  6471, 0x0079,  12,  15,  11,   0,  12,  96,   7, 0x00 },
    {  6561, 0x007A,  10,  11,  11,   0,  11, 103,   1, 0x00 },
    {  6616, 0x007B,  10,  19,  15,   1,  13,   0,   0, 0x00 },
    {  6711, 0x007C,   3,  19,  15,   3,   9,   0,   0, 0x00 },
    {  6749, 0x007D,  10,  19,  15,   1,  13, 104,   1, 0x00 },
    {  6844, 0x007E,  14,   5,   9,   1,  16,   0,   0, 0x00 },
    {  6879, 0x00B0,   9,   8,  15,   1,  11,   0,   0, 0x00 }
};

// verdana_20_4bpp
extern const touchgfx::GlyphNode glyphs_verdana_20_4bpp[];
extern const uint8_t unicodes_verdana_20_4bpp_0[];
extern const uint8_t* const unicodes_verdana_20_4bpp[] = {
    unicodes_verdana_20_4bpp_0
};
extern const touchgfx::KerningNode kerning_verdana_20_4bpp[];

touchgfx::GeneratedFont& getFont_verdana_20_4bpp();

touchgfx::GeneratedFont& getFont_verdana_20_4bpp()
{
    static touchgfx::GeneratedFont verdana_20_4bpp(glyphs_verdana_20_4bpp, 96, 20, 4, 4, 1, 1, 1, unicodes_verdana_20_4bpp, kerning_verdana_20_4bpp, 63, 0, 0, 0);
    return verdana_20_4bpp;
}
